升级Laravel Valet 版本

buildyuan

Laravel Valet,Mac平台上的极简Laravel开发环境,早已发布了2.0版本,该版本主要包含了一些bug修复以及将内置服务器从Caddy替换成Nginx。

升级到 Valet 2.0

升级到新版本很简单,只需几步就可以完成。 首先,备份你的~/.valet目录,然后停止正在运行的Valet并将其卸载:

$valet stop

$valet uninstall

最后,升级到最新版本的Valet。可以通过Git或Composer来升级,这取决于你安装Valet的方式,比如我之前是通过Composer全局安装的,所以首先我需要修改~/.composer/composer.json中valet的版本号:

"laravel/valet": "^2.0"

然后运行Composer全局更新命令以更新Valet依赖:

$composer global update

最后我们使用Valet安装器执行安装和重启命令:

$valet install
$valet restart 

此时查看Valet版本会发现已经升级到2.0版本:

Valet驱动

目前Valet支持的驱动如下:

● Basic

● Bedrock

● Cake

● Concrete5

● Contao

● CraftCMS

● Drupal

● Jigsaw

● Joomla

● Katana

● Kirby

● Laravel

● Sculpin

● Statamic

● Symfony

当然,如果需要的话你也可以参考官方文档创建自定义的驱动。

阅读 226

老猿搜题
老猿写代码中的各种问题

talk is cheap,show me the code

74 声望
4 粉丝
0 条评论
你知道吗?

talk is cheap,show me the code

74 声望
4 粉丝
宣传栏